$(function () {

})
//上传图片


function upload_image(file,e,dir="research"){ //e:$('img')
    let formData = new FormData();
    // 必须项,不可修改
    formData.append("action", "upload");
    // 图片数据'file'为必须的命名不可更改,第二个参数为图片数据
    formData.append("file", file);  // 添加自定义属性(name)
    // formData.append("file", this_[0].files[0]);
    // 图片存放路径,第一个参数'dir'不可更改,第二个为upload文件夹下的文件夹名称,没有的话自动创建
    formData.append("dir", dir);
    // 图片保存名称,可有,没有则按年月日命名
    // formData.append("filename", "my_file_name");
    console.log(file);
    console.log(formData);
    
    $.ajax({
        scriptCharset: 'UTF-8',
        type: 'POST', // 请求方式
        url: '/api/admin_process', // 必须的请求路径
        data: formData, // 参数
        cache: false,
        async: false,
        processData: false,
        contentType: false,
        dataType: 'json', // 数据类型
        success: function (data) {  // 请求成功后的回调函
            console.log(data);
            
            if(data['state']=="SUCCESS"){
                e.attr("src", data['url']) 
                e.parents('.question-item').find('.weui-textarea').attr('options-file',data['url'])
            }    
        },error: function(){
            console.log('业务繁忙');
            
        }
        
        
    })
}

//获取form id
function getformid(){
    let data='{';
    $.each($('form input,form select,form textarea'),function(i,n){  
        if(i>1&&data!='{'){
            data+=','
        }
        data+= '"'+n['name']+'":"'+ n['value']+'"';
    })
    data+='}';

    return JSON.parse(data);
}